package it.unibo.tw0708.web.functions;

import java.text.DecimalFormat;
import java.util.Random;

public class Discount {

	public static String calculate() {
        Random rn = new Random();
        int r = -1;
        while ( r < 0 ) {
        	r = rn.nextInt();
        }
        while ( r > 50 ) 
        	r = r/10;
		return "" + r;
	}

	public static float discount(float price, int percent) {
		return 
			approx( 
				(price / 100) * (100-percent) 
			);
	}

	private static float approx(float price) {
		DecimalFormat df2 = new DecimalFormat( "#,###,###,##0.00" );
		return 
			new Float(
				df2.format(
					(double) price
				)
			).floatValue();
	}
}
