<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<%@ page contentType="text/html; charset=US-ASCII" %>
<%@ page errorPage="../errorpages/failure.jsp"%>
<%@ page session="true"%>

<%!
void setP1(it.unibo.tw0708.web.beans.ABeanClass bean, String value) {
	if ( ( value != null ) && !value.equals("") )
		bean.setProperty1(value);
}
void setP2(it.unibo.tw0708.web.beans.ABeanClass bean, String value) {
	if ( ( value != null ) && !value.equals("") )
		bean.setProperty2(value);
}
%>

<html>
<head>
	<meta name="Author" content="pisi79">
	<title>Bean object JSP</title>
	<link rel="stylesheet" href="<%= request.getContextPath() %>/styles/default.css" type="text/css"/>
</head>

<body onload="document.getElementById('bean').style.backgroundColor='#aaa';">
<%@ include file="../fragments/menu" %>

<div id="main">

	<jsp:useBean id="pageScopedBean" class="it.unibo.tw0708.web.beans.ABeanClass" scope="page">
	</jsp:useBean>

	<jsp:useBean id="requestScopedBean" class="it.unibo.tw0708.web.beans.ABeanClass" scope="request">
	</jsp:useBean>
	
	<jsp:useBean id="sessionScopedBean" class="it.unibo.tw0708.web.beans.ABeanClass" scope="session">
	</jsp:useBean>
	
	<jsp:useBean id="applicationScopedBean" class="it.unibo.tw0708.web.beans.ABeanClass" scope="application">
	</jsp:useBean>
	
	<p>
<%
		setP1(pageScopedBean,request.getParameter("pp1"));
		setP2(pageScopedBean,request.getParameter("pp2"));
%>
		Bean name: pageScopedBean<br/>
		Bean class: <%= pageScopedBean.getClass() %><br/>
		Bean property1: <%= pageScopedBean.getProperty1() %><br/>
		Bean property2: <%= pageScopedBean.getProperty2() %><br/>
		<form action="bean3.jsp">
			New property 1 value: <input type="text" name="pp1"/><br/>
			New property 2 value: <input type="text" name="pp2"/><br/>
			<br/>
			<input type="submit" value="submit to bean3.jsp page (that sets properties and forwards to bean2.jsp) to see how page-scoped bean values get lost"/>
		</form> 
	</p>
	<br/>
	<hr/>
	<br/>

	<p>
<%
		setP1(requestScopedBean,request.getParameter("rp1"));
		setP2(requestScopedBean,request.getParameter("rp2"));
%>
		Bean name: requestScopedBean<br/>
		Bean class: <%= requestScopedBean.getClass() %><br/>
		Bean property1: <%= requestScopedBean.getProperty1() %><br/>
		Bean property2: <%= requestScopedBean.getProperty2() %><br/>
		<form action="bean3.jsp">
			New property 1 value: <input type="text" name="rp1"/><br/>
			New property 2 value: <input type="text" name="rp2"/><br/>
			<br/>
			<input type="submit" value="submit to bean3.jsp page (that sets properties and forwards to bean2.jsp) to see how request-scoped bean values are kept"/>
		</form> 
	</p>
	<br/>
	<hr/>
	<br/>
	
	<p>
<%
		setP1(sessionScopedBean,request.getParameter("sp1"));
		setP2(sessionScopedBean,request.getParameter("sp2"));
%>
		Bean name: sessionScopedBean<br/>
		Bean class: <%= sessionScopedBean.getClass() %><br/>
		Bean property1: <%= sessionScopedBean.getProperty1() %><br/>
		Bean property2: <%= sessionScopedBean.getProperty2() %><br/>
		<form action="bean1.jsp">
			New property 1 value: <input type="text" name="sp1"/><br/>
			New property 2 value: <input type="text" name="sp2"/><br/>
			<br/>
			<input type="submit" value="submit"/>
		</form> 
	</p>
	<br/>
	<hr/>
	<br/>

	<p>
<%
		setP1(applicationScopedBean,request.getParameter("ap1"));
		setP2(applicationScopedBean,request.getParameter("ap2"));
%>
		Bean name: applicationScopedBean<br/>
		Bean class: <%= applicationScopedBean.getClass() %><br/>
		Bean property1: <%= applicationScopedBean.getProperty1() %><br/>
		Bean property2: <%= applicationScopedBean.getProperty2() %><br/>
		<form action="bean1.jsp">
			New property 1 value: <input type="text" name="ap1"/><br/>
			New property 2 value: <input type="text" name="ap2"/><br/>
			<br/>
			<input type="submit" value="submit"/>
		</form> 
	</p>
	<br/>
	<hr/>
	<br/>

	<p>
		Go <a href="bean.jsp">back</a> to the page that sets up the beans....<br/>
		<i>or</i><br/>
		Go to <a href="bean2.jsp">another page</a> that uses these beans (but without session) and see what happens...
	</p>

</div>    

<%@ include file="../fragments/footer" %>
</body>
</html>
