<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<%@ page contentType="text/html; charset=US-ASCII" %>
<%@ page errorPage="../errorpages/failure.jsp"%>
<%@ page session="true"%>

<%!
%>
<html>
<head>
	<meta name="Author" content="pisi79">
	<title>Built-in objects JSP</title>
	<link rel="stylesheet" href="<%= request.getContextPath() %>/styles/default.css" type="text/css"/>
</head>

<body onload="document.getElementById('builtin').style.backgroundColor='#aaa';">
<%@ include file="../fragments/menu" %>

<div id="main">
	<%@ taglib uri="http://the.uri.declared.in/the/tld/file" prefix="smpl"%>

	<p>
	<h3>page</h3>
	<smpl:property name="ServletInfo" value="<%= ((javax.servlet.jsp.HttpJspPage)page).getServletInfo() %>"/>
	</p>

	<p>
	<h3>config</h3>
<%
	String parameterOutput = "";
	String initParameterNames = "";
	java.util.Enumeration e1 = config.getInitParameterNames();
	while ( e1.hasMoreElements() ) {
		String name = (String) e1.nextElement();
		initParameterNames += name + " ";
		parameterOutput += "<smpl:property name=" + name + " value=" + config.getInitParameter(name ) + "/>";
	
	}
%>
	<smpl:property name="InitParameterNames" value="<%= initParameterNames %>"/>
	<%= parameterOutput %>	<!--  DOES NOT WORK!! JSP PARSER HAS ALREADY WORKED WHEN THIS IS PRODUCED! THIS IS FINAL HTML!! -->
<%
	java.util.Enumeration e2 = config.getInitParameterNames();
	while ( e2.hasMoreElements() ) {
		String name = (String) e2.nextElement();
		out.print("<tt>initParameter:" + name + "</tt> = <i>" + config.getInitParameter(name) + "</i><br/>");
	}
%>
	<smpl:property name="ServletName" value="<%= config.getServletName() %>"/>
	<smpl:property name="ServletContext" value="<%= config.getServletContext() %>"/>
	</p>

	<p>
	<h3>request</h3>
	</p>
	<smpl:property name="AuthType" value="<%= request.getAuthType() %>"/>
	<smpl:property name="CharacterEncoding" value="<%= request.getCharacterEncoding() %>"/>
	<smpl:property name="ContentLength" value="<%= request.getContentLength() %>"/>
	<smpl:property name="ContentType" value="<%= request.getContentType() %>"/>
	<smpl:property name="ContextPath" value="<%= request.getContextPath() %>"/>
<%
	Cookie[] cookies = request.getCookies();
	String cookie_values = "";
	if ( cookies != null ) {
		for ( int i = 0 ; i < cookies.length ; i++ ) {
			cookie_values += cookies[i].getName() + "=" + cookies[i].getValue() + "; ";
		}
	}
%>
	<smpl:property name="Cookies" value="<%= cookie_values %>"/>

<%
	java.util.Enumeration e3 = request.getHeaderNames();
	String headerNames = "";
	while ( e3.hasMoreElements() ) {
		String name = (String) e3.nextElement();
		headerNames += name + " ";
	}
%>
	<smpl:property name="HeaderNames" value="<%= headerNames %>"/>
<%
	java.util.Enumeration e4 = request.getHeaderNames();
	while ( e4.hasMoreElements() ) {
		String name = (String) e4.nextElement();
		out.print("<tt>headerName:" + name + "</tt> = <i>" + request.getHeader(name) + "</i><br/>");
	}
%>
	<smpl:property name="LocalAddr" value="<%= request.getLocalAddr() %>"/>
	<smpl:property name="LocalName" value="<%= request.getLocalName() %>"/>
	<smpl:property name="LocalPort" value="<%= request.getLocalPort() %>"/>
	<smpl:property name="Locale" value="<%= request.getLocale().toString() %>"/>
	<smpl:property name="Method" value="<%= request.getMethod() %>"/>
<%
	java.util.Enumeration e5 = request.getParameterNames();
	String paramterNames = "";
	while ( e5.hasMoreElements() ) {
		String name = (String) e5.nextElement();
		paramterNames += name + " ";
	}
%>
	<smpl:property name="ParameterNames" value="<%= paramterNames %>"/>
<%
	java.util.Enumeration e6 = request.getParameterNames();
	while ( e6.hasMoreElements() ) {
		String name = (String) e6.nextElement();
		out.print("<tt>parameterName:" + name + "</tt> = <i>" + request.getParameter(name) + "</i><br/>");
	}
%>
	<smpl:property name="PathInfo" value="<%= request.getPathInfo() %>"/>
	<smpl:property name="PathTranslated" value="<%= request.getPathTranslated() %>"/>
	<smpl:property name="Protocol" value="<%= request.getProtocol() %>"/>
	<smpl:property name="QueryString" value="<%= request.getQueryString() %>"/>
	<smpl:property name="RemoteAddr" value="<%= request.getRemoteAddr() %>"/>
	<smpl:property name="RemoteHots" value="<%= request.getRemoteHost() %>"/>
	<smpl:property name="RemotePort" value="<%= request.getRemotePort() %>"/>
	<smpl:property name="RemoteUser" value="<%= request.getRemoteUser() %>"/>
	<smpl:property name="RequestSessionId" value="<%= request.getRequestedSessionId() %>"/>
	<smpl:property name="RequestURI" value="<%= request.getRequestURI() %>"/>
	<smpl:property name="RequestURL" value="<%= request.getRequestURL().toString() %>"/>
	<smpl:property name="Scheme" value="<%= request.getScheme() %>"/>
	<smpl:property name="ServerName" value="<%= request.getServerName() %>"/>
	<smpl:property name="ServerPort" value="<%= request.getServerPort() %>"/>
	<smpl:property name="ServletPath" value="<%= request.getServletPath() %>"/>
	<smpl:property name="Session" value="<%= request.getSession() %>"/>

	<p>
	<h3>response</h3>
	<smpl:property name="BufferSize" value="<%= response.getBufferSize()%>"/>
	<smpl:property name="CharacterEncoding" value="<%= response.getCharacterEncoding()%>"/>
	<smpl:property name="ContentType" value="<%= response.getContentType()%>"/>
	<smpl:property name="Locale" value="<%= response.getLocale().toString()%>"/>
<%
	// response.addCookie(new Cookie("Cookie_" + System.currentTimeMillis(), "" + new java.util.Random().nextInt()));
%>
	</p>

	<p>
	<h3>out</h3>
	<smpl:property name="BufferSize" value="<%= out.getBufferSize()%>"/>
	<smpl:property name="Remaining" value="<%= out.getRemaining()%>"/>

	</p>

	<p>
	<h3>session</h3>
	<smpl:property name="CreationTime" value="<%= session.getCreationTime()%>"/>
	<smpl:property name="Id" value="<%= session.getId()%>"/>
	<smpl:property name="LastAccessedTime" value="<%= session.getLastAccessedTime()%>"/>
	<smpl:property name="MaxInactiveInterval" value="<%= session.getMaxInactiveInterval()%>"/>
<%
	java.util.Enumeration e7 = session.getAttributeNames();
	String attributenames = "";
	while ( e7.hasMoreElements() ) {
		String name = (String) e7.nextElement();
		attributenames += name + " ";
	}
%>
	<smpl:property name="AttributeNames" value="<%= attributenames %>"/>
<%
	java.util.Enumeration e8 = session.getAttributeNames();
	while ( e8.hasMoreElements() ) {
		String name = (String) e8.nextElement();
		out.print("<tt>attributeName:" + name + "</tt> = <i>" + session.getAttribute(name) + "</i><br/>");
	}
%>
<%
	// session.setAttribute("Attribute_" + System.currentTimeMillis(), "" + new java.util.Random().nextDouble());
%>
	</p>

	<p>
	<h3>application</h3>
<%
	java.util.Enumeration e9 = application.getInitParameterNames();
	String initnames = "";
	while ( e9.hasMoreElements() ) {
		String name = (String) e9.nextElement();
		initnames += name + " ";
	}
%>
	<smpl:property name="InitParameterNames" value="<%= initnames %>"/>
<%
	java.util.Enumeration e10 = application.getInitParameterNames();
	while ( e10.hasMoreElements() ) {
		String name = (String) e10.nextElement();
		out.print("<tt>initParameterName:" + name + "</tt> = <i>" + application.getInitParameter(name) + "</i><br/>");
	}
%>
	<smpl:property name="MajorVersion" value="<%= application.getMajorVersion()%>"/>
	<smpl:property name="MinorVersion" value="<%= application.getMinorVersion()%>"/>
	<smpl:property name="ServerInfo" value="<%= application.getServerInfo()%>"/>
	<smpl:property name="ServletContextName" value="<%= application.getServletContextName()%>"/>
<%
	java.util.Enumeration e11 = application.getAttributeNames();
	String attrnames = "";
	while ( e11.hasMoreElements() ) {
		String name = (String) e11.nextElement();
		attrnames += name + " ";
	}
%>
	<smpl:property name="AttributeNames" value="<%= attrnames %>"/>
<%
	java.util.Enumeration e12 = application.getAttributeNames();
	while ( e12.hasMoreElements() ) {
		String name = (String) e12.nextElement();
		out.print("<tt>attribute:" + name + "</tt> = <i>" + application.getAttribute(name) + "</i><br/>");
	}
%>
	</p>

	<p>
	<h3>pageContext</h3>
	Not so much to show...
	</p>

	<p>
	<h3>exception</h3>
	...only available in errorPages...
	</p>

</div>

<%@ include file="../fragments/footer" %>
</body>
</html>
