<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<%@ page contentType="text/html; charset=US-ASCII" %>
<%@ page errorPage="../errorpages/failure.jsp"%>

<html>
<head>
	<meta name="Author" content="pisi79">
	<title>JSP that uses classes defined via tag libaries</title>
	<link rel="stylesheet" href="<%= request.getContextPath() %>/styles/default.css" type="text/css"/>
</head>

<body onload="document.getElementById('tagclass').style.backgroundColor='#aaa';">
<%@ include file="../fragments/menu" %>

<div id="main">

	<p> 
		The following is printed by using a utility class via a custom tag element.
	</p>
		
	<p>
		<%@ taglib uri="http://the.uri.declared.in/the/tld/file" prefix="smpl"%>
		<smpl:sampleTagName 
			sampleAttribute="<%= (request.getParameter("aValue")==null) ? "aValue" : request.getParameter("aValue") %>"
		>
			some sample content
		</smpl:sampleTagName>
	</p>
	
	<p>
		<form>
			Enter a new string to consume:
			<input type="text" name="aValue"/>
			<input type="submit" value="submit"/>
		</form>
	
	</p>
	
	<p>
		...and: can you modify JSP / Java class code to show the content of tag's body, too?
	</p>
	
</div>

<%@ include file="../fragments/footer" %>
</body>
</html>
