package it.unibo.tw0708.web.tags;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.tagext.BodyTagSupport;

/**
 * Another servlet
 *
 * @author you
 */
public class PropertyTagClass 
extends BodyTagSupport {
	
	// -----------------------------------------------------------
	// constants 
	// -----------------------------------------------------------
	
	private static final long serialVersionUID = 1L;

	// -----------------------------------------------------------
	// members 
	// -----------------------------------------------------------
	
	private String name;
	public void setName(String name) {
		this.name = name;
	}

	private Object value;
	public void setValue(Object value) {
		this.value = value;
	}
	
	// -----------------------------------------------------------
	// init & relase methods (inherited and modified from super class) just to show how to handle them
	// -----------------------------------------------------------

	//

	// -----------------------------------------------------------
    // tag processing methods...
	// -----------------------------------------------------------
    
    @SuppressWarnings("deprecation")
	public int doStartTag() throws JspException {
		System.out.println(this.getClass().getSimpleName() + ".doStartTag("+this.name+")");
		try {
			// this.bodyContent.getEnclosingWriter().write(    ---> works only if body is present
			this.pageContext.getOut().write(
	    		"<tt>" + this.name + "</tt> = <i>" + this.value + "</i><br/>"
	    	);
    	}
    	catch (Exception e) {
    		System.out.println(this.getClass().getSimpleName() + ": " + e.toString());
			// TODO: handle exception
		}
        return BodyTagSupport.EVAL_PAGE;
    }
	
}