<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib uri="http://it.unibo.tw0708/tld/function" prefix="myfn" %> 

<%@ attribute name="lastrow" fragment="true" %>

<%@ attribute name="cart" type="it.unibo.tw0708.web.beans.Cart" %>

<p>
	<jsp:doBody/>
	<table border="1">
		<tr>
			<th>Item</th><th>Description</th><th>Orginal price</th><th>Discount</th><th>Discounted price</th>
		</tr>
		<c:forEach var="item" items="${cart.items}">
			<tr>
				<td>${item.name}</td>
				<td>${item.description}</td>
				<td style="text-align: right">${item.price}&#8364;</td>
				<td style="text-align: right">${item.discount}%</td>
				<td style="text-align: right">${myfn:discount(item.price,item.discount)}&#8364;</td>
			</tr>
		</c:forEach>
		<tr>
			<td colspan="5">
				<jsp:invoke fragment="lastrow"/>
			</td>
		</tr>
	</table>
</p>
