<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<%@ page contentType="text/html; charset=US-ASCII" %>
<%@ page errorPage="../errorpages/failure.jsp"%>
<%@ page session="true"%>

<%!
void setP1(it.unibo.tw0708.web.beans.ABeanClass bean, String value) {
	if ( ( value != null ) && !value.equals("") )
		bean.setProperty1(value);
}
void setP2(it.unibo.tw0708.web.beans.ABeanClass bean, String value) {
	if ( ( value != null ) && !value.equals("") )
		bean.setProperty2(value);
}
%>

<html>
<head>
	<meta name="Author" content="pisi79">
	<title>Bean object JSP</title>
	<link rel="stylesheet" href="<%= request.getContextPath() %>/styles/default.css" type="text/css"/>
</head>

<body onload="document.getElementById('bean').style.backgroundColor='#aaa';">
<%@ include file="../fragments/menu" %>

<div id="main">

	<jsp:useBean id="pageScopedBean" class="it.unibo.tw0708.web.beans.ABeanClass" scope="page">
		<jsp:setProperty name="pageScopedBean" property="property1" value="p1Page"/>
		<jsp:setProperty name="pageScopedBean" property="property2" value="p2Page"/>
	</jsp:useBean>

	<jsp:useBean id="requestScopedBean" class="it.unibo.tw0708.web.beans.ABeanClass" scope="request">
		<jsp:setProperty name="requestScopedBean" property="property1" value="p1Request"/>
		<jsp:setProperty name="requestScopedBean" property="property2" value="p2Request"/>
	</jsp:useBean>
	
	<jsp:useBean id="sessionScopedBean" class="it.unibo.tw0708.web.beans.ABeanClass" scope="session">
		<jsp:setProperty name="sessionScopedBean" property="property1" value="p1Session"/>
		<jsp:setProperty name="sessionScopedBean" property="property2" value="p2Session"/>
	</jsp:useBean>
	
	<jsp:useBean id="applicationScopedBean" class="it.unibo.tw0708.web.beans.ABeanClass" scope="application">
		<jsp:setProperty name="applicationScopedBean" property="property1" value="p1Application"/>
		<jsp:setProperty name="applicationScopedBean" property="property2" value="p2Application"/>
	</jsp:useBean>
	
	<p>
		Bean name: pageScopedBean<br/>
		Bean class: <%= pageScopedBean.getClass() %><br/>
		Bean property1: <%= pageScopedBean.getProperty1() %><br/>
		Bean property2: <%= pageScopedBean.getProperty2() %><br/>
	</p>
	<br/>
	<hr/>
	<br/>

	<p>
		Bean name: requestScopedBean<br/>
		Bean class: <%= requestScopedBean.getClass() %><br/>
		Bean property1: <%= requestScopedBean.getProperty1() %><br/>
		Bean property2: <%= requestScopedBean.getProperty2() %><br/>
	</p>
	<br/>
	<hr/>
	<br/>

	<p>
		Bean name: sessionScopedBean<br/>
		Bean class: <%= sessionScopedBean.getClass() %><br/>
		Bean property1: <%= sessionScopedBean.getProperty1() %><br/>
		Bean property2: <%= sessionScopedBean.getProperty2() %><br/>
	</p>
	<br/>
	<hr/>
	<br/>

	<p>
		Bean name: applicationScopedBean<br/>
		Bean class: <%= applicationScopedBean.getClass() %><br/>
		Bean property1: <%= applicationScopedBean.getProperty1() %><br/>
		Bean property2: <%= applicationScopedBean.getProperty2() %><br/>
	</p>
	<br/>
	<hr/>
	<br/>
	
	<p>
		Go to a <a href="bean1.jsp">page</a> that can set these beans' values...<br/>
		<i>or</i><br/>
		Go to <a href="bean2.jsp">another page</a> that uses these beans without session.
	</p>

</div>    

<%@ include file="../fragments/footer" %>
</body>
</html>
