<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<%@ page contentType="text/html; charset=US-ASCII" %>
<%@ page errorPage="../errorpages/failure.jsp"%>
<%@ page session="true"%>
<%@ page import="it.unibo.tw0708.web.beans.Item"%>

<html>
<head>
	<meta name="Author" content="pisi79">
	<title>JSP that uses the Standard Tag Library</title>
	<link rel="stylesheet" href="<%= request.getContextPath() %>/styles/default.css" type="text/css"/>
</head>

<body onload="document.getElementById('jstl').style.backgroundColor='#aaa';">
<%@ include file="../fragments/menu" %>

<div id="main">

	<!-- Data submission -->
	<table style="width: 75%;">
		<tr><td>
			<%@ taglib uri="http://it.unibo.tw0708/tld/function" prefix="myfn" %> 
			<p> 
				Please, check the article you want to buy!
			</p>
			<form action="jstl.jsp" method="post">
				<table border="1" align="left">
					<tr>
						<th></th><th>Item</th><th>Description</th><th>Price</th><th>Discount</th>
					</tr>
					<tr>
						<td><input type="checkbox" name="i1"/></td>
						<td><%= Item.ITEM1_NAME %></td>
						<td><%= Item.ITEM1_DESC %></td>
						<td style="text-align: right"><%= Item.ITEM1_PRICE %>&#8364;</td>
						<td><input style="text-align: right; color: black;" type="text" name="d1" value="${myfn:calculate()}" readonly="readonly"/>%</td>
					</tr>
					<tr>
						<td><input type="checkbox" name="i2"/></td>
						<td><%= Item.ITEM2_NAME %></td>
						<td><%= Item.ITEM2_DESC %></td>
						<td style="text-align: right"><%= Item.ITEM2_PRICE %>&#8364;</td>
						<td><input style="text-align: right; color: black;" type="text" name="d2" value="${myfn:calculate()}" readonly="readonly"/>%</td>
					</tr>
					<tr>
						<td><input type="checkbox" name="i3"/></td>
						<td><%= Item.ITEM3_NAME %></td>
						<td><%= Item.ITEM3_DESC %></td>
						<td style="text-align: right"><%= Item.ITEM3_PRICE %>&#8364;</td>
						<td><input style="text-align: right; color: black;" type="text" name="d3" value="${myfn:calculate()}" readonly="readonly"/>%</td>
					</tr>
					<tr>
						<td colspan="5"><input type="submit" value="add to cart" style="width: 100%; background-color: #aaa;"></td>
					</tr>
				</table>
			</form>	

		</td></tr>
		<tr><td>
	
			<!-- Submission handling -->
			<jsp:useBean id="cart" class="it.unibo.tw0708.web.beans.Cart" scope="session">
			</jsp:useBean>
<%
			if ( request.getParameter("i1") != null ) {
				Item i = new Item(Item.ITEM1_NAME,Item.ITEM1_DESC,Item.ITEM1_PRICE);
				int d = Integer.parseInt(request.getParameter("d1"));
				i.setDiscount(d);
				cart.addItem(i);
			}
			if ( request.getParameter("i2") != null ) {
				Item i = new Item(Item.ITEM2_NAME,Item.ITEM2_DESC,Item.ITEM2_PRICE);
				int d = Integer.parseInt(request.getParameter("d2"));
				i.setDiscount(d);
				cart.addItem(i);
			}
			if ( request.getParameter("i3") != null ) {
				Item i = new Item(Item.ITEM3_NAME,Item.ITEM3_DESC,Item.ITEM3_PRICE);
				int d = Integer.parseInt(request.getParameter("d3"));
				i.setDiscount(d);
				cart.addItem(i);
			}
%>
			
<%
			// Handling cart emptying 
			if ( request.getParameter("empty") != null )
				cart.empty();
%>
			<!-- Showing cart -->
			<br/>
			<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %> 
			<p>
				Your cart (printed by using JSP Standard Tag Library):
			</p>	
			<form action="jstl.jsp" method="get" onclick="return confirm('Are you sure?');">
				<table border="1">
					<tr>
						<th>Item</th><th>Description</th><th>Orginal price</th><th>Discount</th><th>Discounted price</th>
					</tr>
					<c:forEach var="item" items="${cart.items}">
						<tr>
							<td>${item.name}</td>
							<td>${item.description}</td>
							<td style="text-align: right">${item.price}&#8364;</td>
							<td style="text-align: right">${item.discount}%</td>
							<td style="text-align: right">${myfn:discount(item.price,item.discount)}&#8364;</td>
						</tr>
					</c:forEach>
					<tr>
						<td colspan="5">
							<input type="submit" value="empty cart" name="empty" style="width: 100%; background-color: #aaa;">
						</td>
					</tr>
				</table>
			</form>
		</td></tr>
	</table>

</div>

<%@ include file="../fragments/footer" %>
</body>
</html>
